<div class="d-flex justify-content-center">
  <div class="col-8">
    <div *ngIf="conteudo">
      <h2 data-cy="conteudoDetailsHeading"><span jhiTranslate="matrixApp.conteudo.detail.title">Conteudo</span></h2>

      <hr />

      <jhi-alert-error></jhi-alert-error>

      <jhi-alert></jhi-alert>

      <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="matrixApp.conteudo.id">Id</span></dt>
        <dd>
          <span>{{ conteudo.id }}</span>
        </dd>
        <dt><span jhiTranslate="matrixApp.conteudo.descricao">Descricao</span></dt>
        <dd>
          <span>{{ conteudo.descricao }}</span>
        </dd>
        <dt><span jhiTranslate="matrixApp.conteudo.conhecimento">Conhecimento</span></dt>
        <dd>
          <div *ngIf="conteudo.conhecimento">
            <a [routerLink]="['/conhecimento', conteudo.conhecimento.id, 'view']">{{ conteudo.conhecimento.id }}</a>
          </div>
        </dd>
        <dt><span jhiTranslate="matrixApp.conteudo.geral">Geral</span></dt>
        <dd>
          <div *ngIf="conteudo.geral">
            <a [routerLink]="['/conteudo', conteudo.geral.id, 'view']">{{ conteudo.geral.id }}</a>
          </div>
        </dd>
      </dl>

      <button type="submit" (click)="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
        <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back">Voltar</span>
      </button>

      <button type="button" [routerLink]="['/conteudo', conteudo.id, 'edit']" class="btn btn-primary">
        <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit">Editar</span>
      </button>
    </div>
  </div>
</div>
